<h1 class="page-header" style="margin-top: 0"><i class="fa fa-globe"></i> <?php _('Web Actions') ?></h1>
<div ng-if="!edit">
<div class="alert alert-info">
<p><?php _('Web actions are requests to a given url to trigger an action. They can appear in the global or printer menu or just be selectable in g-code with @webAction name.') ?></p>
<p><?php _('Typical use cases are updating public states, trigger hardware like IFTTT controlled plugs to enable/disable printer.') ?></p>
</div>
<div class="table-responsive">
<table class="table table-striped table-bordered2 vmiddle nowrap">
<thead>
<tr>
<th><?php _('Display Name') ?></th>
<th><?php _('Name') ?></th>
<th style="width:130px"></th>
</tr>
</thead>
<tbody dnd-list="webCalls" dnd-type="tr" style="cursor:move">
<tr class="dndPlaceholder">
<td colspan="3">&nbsp;</td>
</tr>
<tr ng-repeat="wc in webCalls" dnd-draggable="wc" dnd-moved="onMoveWebaction($index)" dnd-effect-allowed="move" dnd-dragend="onDragEnd(event)">
<td><rs-icon icon="fa fa-globe" style="width: 30px" icon-img="wc.icon"></rs-icon>{{wc.show_name}}</td>
<td>{{wc.name}}</td>
<td class="nowrap">
<div class="btn btn-primary btn-xs margin-right margin-left" ng-click="editCall(wc)" title="<?php _('Edit') ?>">
<i class="fa fa-edit"></i></div>
<div class="btn btn-primary btn-xs margin-right" ng-click="runCall(wc)" title="<?php _('Execute') ?>">
<i class="fa fa-globe"></i></div>
<div class="btn text-danger btn-xs margin-left" ng-click="remove(wc)" title="<?php _('Delete') ?>">
<i class="fa fa-trash-o rs-bigger"></i></div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="clearfix">
<div class="btn btn-primary margin-top pull-right" ng-click="addCall()">
<i class="fa fa-plus rs-bigtab"></i> <?php _('Add Web Action') ?>
</div>
</div>
</div>
<div ng-if="edit">
<div class="well">
<ng-form name="formEdit">
<label><?php _('Display Name') ?></label>
<input type="text" class="form-control" ng-model="edit.show_name" required>
<label class="margin-top"><?php _('Icon (optional)') ?></label>
<rs-icon-editor ng-model="edit.icon" default-icon="fa fa-globe"></rs-icon-editor>
<label class="margin-top"><?php _('Name') ?></label>
<input type="text" class="form-control" ng-model="edit.name" required>
<label class="margin-top"><?php _('G-Code to trigger:') ?></label>
<pre class="select-text">;@webAction {{edit.name}}</pre>
<label class="margin-top"><?php _('Security question') ?></label>
<input type="text" class="form-control" ng-model="edit.question" placeholder="<?php _('Empty for no question') ?>">
<label class="margin-top"><?php _('Printer Association') ?></label>
<select class="form-control primary-select" ng-model="edit.slug" ng-options="g.s as g.n for g in slugList"></select>
<div class="margin-top">
<label>
<input type="checkbox" class="" ng-model="edit.show_in_menu">
<?php _('Show in Menu') ?></label>
</div>
<label class="margin-top"><?php _('URL') ?></label>
<input type="text" class="form-control" ng-model="edit.url" placeholder="https://domain.com" required>
<label class="margin-top"><?php _('Send Method') ?></label>
<div>
<label><input type="radio" ng-model="edit.method" ng-value="'GET'">&nbsp; GET</label>&nbsp;&nbsp;&nbsp;
<label><input type="radio" ng-model="edit.method" ng-value="'POST'">&nbsp; POST</label>&nbsp;&nbsp;&nbsp;
<label><input type="radio" ng-model="edit.method" ng-value="'PUT'">&nbsp; PUT</label>
</div>
<div ng-show="edit.method==='POST' || edit.method==='PUT'">
<label class="margin-top"><?php _('Content Type') ?></label>
<input type="text" class="form-control" ng-model="edit.content_type">
<label class="margin-top"><?php _('Post Data') ?></label>
<textarea ng-model="edit.post" style="width:100%" rows="5"></textarea>
</div>
<p class="margin-top clearfix"><?php _('URL and post data can contain parameter. $1 inserts first parameter 1:1, $$1 insert first parameter url escaped. Works only for @webAction calls!') ?>
<?php _('If you need a random string insert $RANDOM_UUID or $RANDOM_INTEGER for a random integer.') ?></p>
<div class="clearfix">
<div class="flex-toolbar margin-top" style="justify-content: flex-end;">
<div class="btn btn-primary" ng-click="save()" ng-disabled="testSave()">
<span ng-if="edit.pos===-1"><i class="fa fa-plus rs-bigtab"></i> <?php _('Add Web Action') ?></span>
<span ng-if="edit.pos!==-1"><i class="fa fa-save rs-bigtab"></i> <?php _('Save Web Action') ?></span>
</div>
<div class="btn btn-default" ng-click="cancel()"><i class="fa fa-times"></i> Cancel</div>
</div>
</div>
</ng-form>
</div>
</div>
