<div class="tab-pane active units" id="advanced">
<div class="panel panel-default margin-top">
<div class="panel-heading"><i class="rs rs-webcam margin-right"></i><?php _('Webcam Support') ?></div>
<div class="panel-body">
<div ng-if="!hasWebcamSupport" class="alert alert-warning margin-top"><?php _('This feature requires the Pro version!') ?>
<a class="btn btn-success" href="https://www.repetier-server.com/version-comparison/" target="_blank"><?php _('Upgrade to Pro Version') ?></a>
</div>
<div ng-if="$root.isLight() && editor.webcams.length>1" class="alert alert-warning margin-top"><?php _('The light version only supports one webcam per printer. Only the first webcam will be shown!') ?>
<a class="btn btn-success" href="https://www.repetier-server.com/version-comparison/" target="_blank"><?php _('Upgrade to Pro Version') ?></a>
</div>
<div ng-if="active.state.rec" class="alert alert-warning margin-top">
<?php _('During recording it is not possible to change webcam configuration!') ?>
</div>
<div ng-if="!active.state.rec">
<div class="row">
<div class="col-sm-8 col-xs-9" ng-if="editor.webcams.length>0">
<select class="form-control" ng-model="$parent.$parent.activeCam" ng-disabled="formWebcam.$invalid">
<option ng-if="activeCam<0 || editor.webcams.length==0" ng-selected="activeCam < 0" ng-value="-1"><?php _('No Webcam') ?></option>
<option ng-selected="activeCam == $index" ng-repeat="w in editor.webcams track by $index" ng-value="$index">
{{w.alias ? w.alias :"<?php _('Webcam') ?> "+($index+1).toString()}}
</option>
</select>
</div>
<div class="col-sm-4 col-xs-3" style="display: flex">
<div class="btn btn-primary pull-right margin-right" ng-click="addWebcam()">
<i class="fa fa-plus"></i>
<span class="hidden-xs"><?php _('Add Webcam') ?></span>
</div>
<div ng-if="editor.webcams.length>0" class="pull-right btn btn-danger" ng-click="delWebcam()">
<i class="fa fa-trash-o"></i></div>
</div>
</div>
<div ng-if="editor.webcams.length>0">
<div class="row">
<div ng-if="activeCam>=0" class="margin-top">
<div class="col-sm-6 col-xs-12 form-group">
<label><?php _('Alias') ?></label>
<input class="form-control ng-pristine ng-untouched ng-valid ng-empty" placeholder="<?php _('Optional Name for Webcam') ?>" type="text" ng-model="editor.webcams[activeCam].alias">
</div>
<div class="col-sm-6 col-xs-12 form-group">
<label><?php _('Webcam Connection') ?></label>
<select class="form-control" ng-model="editor.webcams[activeCam].method" ng-options="w.id as w.t for w in webcamMethods"></select>
</div>
</div>
</div>
<div class="row">
<div class="col-lg-6 col-xs-6 form-group">
<label><?php _('Reload Interval') ?></label>
<div class="input-group">
<input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.webcams[activeCam].reloadInterval" popover-placement="auto bottom" uib-popover="<?php _('Time between image reload if JPG images is selected.') ?>" data-original-title popover-trigger="'focus'" required>
<div class="input-group-addon">s</div>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-6 col-xs-12 form-group">
<label><?php _('Dynamic Image URL') ?></label>
<input class="form-control" type="text" placeholder="http://" ng-model="editor.webcams[activeCam].dynamicUrl" popover-placement="auto bottom" uib-popover="<?php _('Source for dynamic MJPG images.') ?>" data-original-title popover-trigger="'focus'">
<rs-webcam rotation="editor.webcams[activeCam].orientation" url="editor.webcams[activeCam].dynamicUrl" mjpg="true" max-height="160" style="text-align: right; margin-top:10px">
</rs-webcam>
</div>
<div class="col-sm-6 col-xs-12 form-group">
<label><?php _('Static Image URL') ?></label>
<input class="form-control" type="text" placeholder="http://" ng-model="editor.webcams[activeCam].staticUrl" popover-placement="auto bottom" uib-popover="<?php _('Source for static JPG images.') ?>" data-original-title popover-trigger="'focus'">
<rs-webcam rotation="editor.webcams[activeCam].orientation" url="editor.webcams[activeCam].staticUrl" mjpg="false" max-height="160" style="text-align: right;margin-top:10px">
</rs-webcam>
</div>
<div class="col-xs-12">
<p><?php _('Timelapse videos require an url which delivers a jpg image. You need to enable time lapse for a print, if you want a video.') ?></p>
</div>
</div>
<div class="row">
<div class="col-xs-12">
<label><?php _('Orientation') ?></label>
</div>
<div class="col-xs-6" style="width: 100%">
<div class="btn-group">
<label class="btn btn-primary" ng-model="editor.webcams[activeCam].orientation" uib-btn-radio="0" style="height:56px">
<i class="fa fa-camera fa-3x">
</i>
</label>
<label class="btn btn-primary" ng-model="editor.webcams[activeCam].orientation" uib-btn-radio="270" style="height:56px">
<i class="fa fa-camera fa-3x fa-rotate-90">
</i>
</label>
<label class="btn btn-primary" ng-model="editor.webcams[activeCam].orientation" uib-btn-radio="180" style="height:56px">
<i class="fa fa-camera fa-3x fa-rotate-180">
</i>
</label>
<label class="btn btn-primary" ng-model="editor.webcams[activeCam].orientation" uib-btn-radio="90" style="height:56px">
<i class="fa fa-camera fa-3x fa-rotate-270">
</i>
</label>
</div>
</div>
</div>
</div>
</div>
<div class="panel panel-default margin-top" ng-if="editor.webcams.length>0">
<div class="panel-heading"><i class="rs rs-timelapse margin-right"></i><?php _('Timelapse Video Settings') ?>
</div>
<div class="panel-body">
<div class="row">
<div class="col-xs-12">
<div ng-if="!editor.webcams[activeCam].staticUrl.length" class="alert alert-info">
<?php _('You have no static image source defined. Therefore no timelapse recording will occur.') ?>
</div>
<div ng-hide="!editor.webcams[activeCam].staticUrl.length">
<div ng-if="active.state.rec" class="alert alert-warning margin-top">
<?php _('During recording it is not possible to change webcam configuration!') ?>
</div>
<div ng-if="!active.state.rec">
<div ng-if="!user.printPermission">
<div class="alert alert-info">
<?php _('You need print permission to change timelapse settings!') ?>
</div>
</div>
<div class="row" ng-if="user.printPermission">
<div class="col-xs-12"><label><?php _('Timelapse Recording') ?></label></div>
<div class="col-xs-12">
<div class="btn-group btn-group-justified">
<label class="btn btn-default" ng-model="editor.webcams[activeCam].timelapseSelected" uib-btn-radio="0"><?php _('Off') ?></label>
<label class="btn btn-default" ng-model="editor.webcams[activeCam].timelapseSelected" uib-btn-radio="1"><?php _('Next Print') ?></label>
<label class="btn btn-default" ng-model="editor.webcams[activeCam].timelapseSelected" uib-btn-radio="2"><?php _('Always') ?></label>
</div>
</div>
<div class="col-xs-12">
<div class="row" style="margin-top: 10px">
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="col-xs-12"><label><?php _('Shoot Images') ?></label></div>
<div class="col-xs-12 radio">
<label>
<input type="radio" ng-model="editor.webcams[activeCam].timelapseMethod" ng-value="1"> <?php _('Every') ?>
<input type="number" ng-model="editor.webcams[activeCam].timelapseLayer" style="width:60px" step="1" min="1" required> <?php _('layer') ?>
</label>
</div>
<div class="col-xs-12 radio">
<label><input type="radio" ng-model="editor.webcams[activeCam].timelapseMethod" ng-value="0"> <?php _('Every') ?>
<input type="number" ng-model="editor.webcams[activeCam].timelapseInterval" style="width:60px" step="any" min="0.1" required> <?php _('seconds') ?>
</label>
</div>
<div class="col-xs-12 radio">
<label><input type="radio" ng-model="editor.webcams[activeCam].timelapseMethod" ng-value="2"> <?php _('Every') ?>
<input type="number" ng-model="editor.webcams[activeCam].timelapseHeight" style="width:60px" step="any" min="0.01" required> <?php _('mm in height') ?>
</label>
</div>
<div class="col-xs-12 radio">
<label><input type="radio" ng-model="editor.webcams[activeCam].timelapseMethod" ng-value="3"> <?php _('Only at ;@make_snapshot server command') ?>
</label>
</div>
</div>
</div>
<div class="col-xs-12 col-sm-6">
<div ng-if="!serverSettings.timelapse.ffmpeg" class="alert alert-warning">
<?php _('There is no path to FFMPEG set. Conversion to video will be skipped.') ?>
<a ui-sref="gsettings.timelapse" class="btn btn-success" style="margin-left:15px"><i class="fa fa-gear rs-bigtab"></i><?php _('Setup') ?>
</a>
</div>
<div class="form-group">
<label><?php _('Framerate') ?></label>
<select class="form-control" ng-model="editor.webcams[activeCam].timelapseFramerate" ng-options="f.v as f.n for f in frameratesTimelapse"></select>
</div>
<div class="form-group">
<label><?php _('Bitrate') ?></label>
<div class="input-group maxw200">
<input type="number" ng-model="editor.webcams[activeCam].timelapseBitrate" class="form-control" required="required" min="1">
<div class="input-group-addon">kbps</div>
</div>
</div>
</div>
<div class="col-xs-12">
<label class="checkbox" style="margin-left:20px"><input type="checkbox" ng-model="editor.webcams[activeCam].forceSnapshotPosition"><?php _('Enforce position for snapshots') ?>
</label>
</div>
</div>
<div class="row" ng-show="editor.webcams[activeCam].forceSnapshotPosition">
<div class="col-xs-11 col-xs-offset-1">
<p><?php _('To create smooth timelapse videos where the extruder is always in the same position, you can specify a snapshot position here. It will look like the model is growing. It will use the settings from the general extruder parameter section and the manual control section of the printer configuration. You can get the x and y position in the control tab.') ?></p>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('Stabilize Time before Snapshot') ?></label>
<div class="input-group">
<input type="number" step="1" min="0" max="1000" required class="form-control" ng-model="editor.webcams[activeCam].snapshotStabilizeTime">
<span class="input-group-addon">ms</span>
</div>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('Pause Duration for Snapshot') ?></label>
<div class="input-group">
<input type="number" step="1" min="0" required class="form-control" ng-model="editor.webcams[activeCam].snapshotDelay">
<span class="input-group-addon">ms</span>
</div>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('X Position for Snapshot') ?></label>
<div class="input-group">
<input type="number" step="any" required class="form-control" ng-model="editor.webcams[activeCam].snapshotX">
<span class="input-group-addon">mm</span>
</div>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('Y Position for Snapshot') ?></label>
<div class="input-group">
<input type="number" required step="any" class="form-control" ng-model="editor.webcams[activeCam].snapshotY">
<span class="input-group-addon">mm</span>
</div>
</div>
</div>
</div>
</div>
<div class="alert alert-info margin-top"><?php _('These settings are also used to recompute timelapse videos!') ?></div>
</div>
</div>
</div>
</div>
</div>
<div class="margin-top"></div>
</div>
<div class="well" ng-if="wcm.manageable && wcm.webcams.length>0" style="margin-top:10px">
<p><?php _('Your PC is preconfigured to run one or more webcams. To use one of these, select the webcam from the dropdown list and click on assign.') ?>
</p>
<div class="row">
<div class="col-xs-9 col-sm-6 col-lg-9 margin-top">
<select class="form-control" ng-model="$parent.cam.selectedWebcam">
<option ng-repeat="item in wcm.webcams track by $index" ng-disabled="!item.accessible" ng-value="item">{{item.name}}</option>
</select>
</div>
<div class="col-xs-3 col-sm-2 col-lg-1 margin-top">
<div ng-click="openStreamer()" ng-if="canOpenStreamer()" class="btn btn-primary btn-block"><i class="fa fa-external-link-square"></i></div>
</div>
<div class="col-xs-12 col-sm-4 col-lg-2 margin-top">
<div ng-click="wcmAssign()" ng-disabled="editor.webcams.length===0" class="btn btn-primary btn-block"><?php _('Assign') ?></div>
</div>
<div class="col-xs-12 col-sm-4 col-lg-3 margin-top">
<div ng-click="wcmCmd('restart')" ng-disabled="!$parent.cam.selectedWebcam" class="btn btn-primary btn-block"><?php _('Restart Webcam Server') ?></div>
</div>
</div>
<div class="row" ng-if="wcm.version>1">
<div class="col-xs-12 margin-top"><?php _('You can change the resolution and frame rate of all webcams. Please consider that higher quality means more traffic and cpu load and could cause problems with communication. In that case reduce until problems disappear.') ?></div>
<div class="col-xs-12 col-sm-4 margin-top">
Resolution:
<select class="form-control" ng-model="cam.resolution" ng-options="item as item.n for item in resolutions"></select>
</div>
<div class="col-xs-12 col-sm-4 margin-top">
Framerate:
<select class="form-control" ng-model="cam.framerate" ng-options="item for item in framerates"></select>
</div>
<div class="col-xs-12 col-sm-4 margin-top">&nbsp;<br>
<div ng-click="wcmSetResolution()" class="btn btn-primary btn-block"><?php _('Apply') ?></div>
</div>
<div class="col-xs-12 margin-top"><?php _('Hint: Frame rate above 10 only increases traffic and cpu usage. There is no real gain and problems in viewer might increase unnecessarily.') ?></div>
</div>
</div>
</div>
</div>
</div>
