<div class="tab-pane active" id="panel4">
<div ng-if="!hasWebcamSupport" class="alert alert-warning margin-top"><?php _('This feature requires the Pro version!') ?>
<a class="btn btn-success" href="https://www.repetier-server.com/version-comparison/" target="_blank"><?php _('Upgrade to Pro Version') ?></a>
</div>
<rs-print-status></rs-print-status>
<ng-form name="formWebcam">
<div class="panel panel-default margin-top" ng-show="index == 0">
<div class="panel-heading">
<div class="row">
<div class="col-sm-12" style="display: flex; align-items: center; flex-wrap: wrap;row-gap: 10px;">
<div class="btn-group margin-right" ng-hide="showTimelapseSettings">
<label uib-tooltip="<?php _('Show Static Image') ?>" ng-show="enableMode1" class="btn btn-default" ng-model="webcammode" uib-btn-radio="1"><i class="fa fa-image rs-bigtab"></i>
</label>
<label uib-tooltip="<?php _('Show Webcam Stream') ?>" ng-show="enableMode2" class="btn btn-default" ng-model="webcammode" uib-btn-radio="2"><i class="fa fa-video-camera rs-bigtab"></i>
</label>
</div>
<div class="btn-group" ng-show="activeConfig.webcams.length>1 && $root.isPro()">
<label ng-repeat="w in activeConfig.webcams track by $index" ng-model="$parent.activeCam" uib-btn-radio="$index" ng-disabled="formWebcam.$invalid" ng-click="$parent.saveActiveCam()" class="btn btn-default"><span ng-if="w.alias">{{w.alias}}</span><span ng-if="!w.alias"><?php _('Webcam') ?> {{$index+1}}</span></label>
</div>
<div style="display: flex; margin-left: auto;align-items: center; flex-wrap: wrap;row-gap: 10px">
<div ng-if="(!(user.changeConfigPermission || user.printPermission) || active.state.isJobActive) && config.webcams[activeCam].timelapseSelected !== undefined" style="width: fit-content;">
<span class="margin-right"><?php _('Timelapse') ?>: </span>
<span ng-if="config.webcams[activeCam].timelapseSelected === 0">
<?php _('Off') ?>&nbsp;&nbsp;
</span>
<span ng-if="config.webcams[activeCam].timelapseSelected === 1">
<?php _('Next Print') ?>&nbsp;&nbsp;
</span>
<span ng-if="config.webcams[activeCam].timelapseSelected === 2">
<?php _('Always') ?>&nbsp;&nbsp;
</span>
</div>
<div ng-if="!active.state.isJobActive && (user.changeConfigPermission || user.printPermission)" style="display: flex; margin-left: auto;align-items: center; flex-wrap: wrap;row-gap: 10px">
<div class="margin-right"><?php _('Timelapse') ?></div>
<select ng-if="config.webcams[activeCam].timelapseSelected !== undefined" class="form-control select-darker margin-right" style="width: fit-content;" ng-model="config.webcams[activeCam].timelapseSelected" ng-change="saveTimelapseCamera()" ng-disabled="formWebcam.$invalid">
<option ng-value="0">
<?php _('Off') ?>
</option>
<option ng-value="1">
<?php _('Next Print') ?>
</option>
<option ng-value="2">
<?php _('Always') ?>
</option>
</select>
</div>
<button uib-tooltip="<?php _('Start Timelapse Recording') ?>" ng-show="(user.changeConfigPermission || user.printPermission) && !showTimelapseSettings && !active.state.webcams[activeCam].rec && active.state.isJobActive" style="height: 34px; min-width: 34px" class="btn btn-default text-danger margin-right" ng-click="startTimelapse(activeCam)">
<i class="fa fa-circle"></i>
</button>
<button uib-tooltip="<?php _('Stop current Timelapse Recording') ?>" ng-show="(user.changeConfigPermission || user.printPermission) && !showTimelapseSettings && active.state.webcams[activeCam].rec && active.state.isJobActive" style="height: 34px; min-width: 34px" class="btn btn-danger margin-right" ng-click="stopRecording(activeCam)">
<i class="fa fa-stop-circle"></i>
</button>
<button uib-tooltip="<?php _('Show Timelapse Settings') ?>" ng-hide="showTimelapseSettings || !(user.changeConfigPermission || user.printPermission)" ng-disabled="active.state.rec" style="height: 34px; min-width: 34px" class="btn btn-default" ng-click="showTimelapseSettings = true">
<i class="fa fa-gear fa-fw"></i>
</button>
</div>
</div>
</div>
</div>
<div ng-class='{"panel-body": showTimelapseSettings}'>
<div ng-show="showTimelapseSettings && !active.state.rec">
<div class="panel panel-default margin-top">
<div class="panel-heading">
<i class="rs rs-timelapse margin-right"></i><?php _('Close Timelapse Settings') ?>
<button uib-tooltip="<?php _('Show Timelapse Settings') ?>" ng-show="showTimelapseSettings" ng-disabled="active.state.rec" style="height: 22px;width: 14px;" class="pull-right btn btn-danger" ng-click="showTimelapseSettings = false">
<i class="fa fa-times fa-fw"></i>
</button>
</div>
<div class="panel-body">
<div ng-if="!enableMode1" class="alert alert-warning">
<?php _('You have no static image source defined. Therefore no timelapse recording will occur.') ?>
<a ui-sref="printerConfig.webcam({slug:activeSlug})" class="btn btn-success" style="margin-left:15px"><i class="fa fa-gear rs-bigtab"></i><?php _('Setup') ?>
</a>
</div>
<div ng-if="active.state.rec" class="alert alert-warning margin-top">
<?php _('During recording it is not possible to change webcam configuration!') ?>
</div>
<div ng-if="!active.state.rec">
<div ng-if="!user.printPermission">
<div class="alert alert-info">
<?php _('You need print permission to change timelapse settings!') ?>
</div>
</div>
<div class="row" ng-if="user.printPermission">
<div class="col-xs-12"><label><?php _('Timelapse Recording') ?></label></div>
<div class="col-xs-12">
<div class="btn-group btn-group-justified">
<label class="btn btn-default" ng-model="config.webcams[activeCam].timelapseSelected" uib-btn-radio="0"><?php _('Off') ?></label>
<label class="btn btn-default" ng-model="config.webcams[activeCam].timelapseSelected" uib-btn-radio="1"><?php _('Next Print') ?></label>
<label class="btn btn-default" ng-model="config.webcams[activeCam].timelapseSelected" uib-btn-radio="2"><?php _('Always') ?></label>
</div>
</div>
<div class="col-xs-12">
<div class="row" style="margin-top: 10px">
<div class="col-xs-12 col-sm-6">
<div class="row">
<div class="col-xs-12"><label><?php _('Shoot Images') ?></label></div>
<div class="col-xs-12 radio">
<label>
<input type="radio" ng-model="config.webcams[activeCam].timelapseMethod" ng-value="1"> <?php _('Every') ?>
<input type="number" ng-model="config.webcams[activeCam].timelapseLayer" style="width:60px" step="1" min="1" required> <?php _('layer') ?>
</label>
</div>
<div class="col-xs-12 radio">
<label><input type="radio" ng-model="config.webcams[activeCam].timelapseMethod" ng-value="0"> <?php _('Every') ?>
<input type="number" ng-model="config.webcams[activeCam].timelapseInterval" style="width:60px" step="any" min="0.1" required> <?php _('seconds') ?>
</label>
</div>
<div class="col-xs-12 radio">
<label><input type="radio" ng-model="config.webcams[activeCam].timelapseMethod" ng-value="2"> <?php _('Every') ?>
<input type="number" ng-model="config.webcams[activeCam].timelapseHeight" style="width:60px" step="any" min="0.01" required> <?php _('mm in height') ?>
</label>
</div>
<div class="col-xs-12 radio">
<label><input type="radio" ng-model="config.webcams[activeCam].timelapseMethod" ng-value="3"> <?php _('Only at ;@make_snapshot server command') ?>
</label>
</div>
</div>
</div>
<div class="col-xs-12 col-sm-6">
<div ng-if="!serverSettings.timelapse.ffmpeg" class="alert alert-warning">
<?php _('There is no path to FFMPEG set. Conversion to video will be skipped.') ?>
<a ui-sref="gsettings.timelapse" class="btn btn-success" style="margin-left:15px"><i class="fa fa-gear rs-bigtab"></i><?php _('Setup') ?>
</a>
</div>
<div class="form-group">
<label><?php _('Framerate') ?></label>
<select class="form-control" ng-model="config.webcams[activeCam].timelapseFramerate" ng-options="f.v as f.n for f in framerates"></select>
</div>
<div class="form-group">
<label><?php _('Bitrate') ?></label>
<div class="input-group maxw150">
<input type="number" ng-model="config.webcams[activeCam].timelapseBitrate" class="form-control" required="required" min="1">
<div class="input-group-addon">kbps</div>
</div>
</div>
</div>
<div class="col-xs-12">
<label class="checkbox" style="margin-left:20px"><input type="checkbox" ng-model="config.webcams[activeCam].forceSnapshotPosition"><?php _('Enforce position for snapshots') ?>
</label>
</div>
</div>
<div class="row" ng-show="config.webcams[activeCam].forceSnapshotPosition">
<div class="col-xs-11 col-xs-offset-1">
<p><?php _('To create smooth timelapse videos where the extruder is always in the same position, you can specify a snapshot position here. It will look like the model is growing. It will use the settings from the general extruder parameter section and the manual control section of the printer configuration. You can get the x and y position in the control tab.') ?></p>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('Stabilize Time before Snapshot') ?></label>
<div class="input-group">
<input type="number" step="1" min="0" max="1000" required class="form-control" ng-model="config.webcams[activeCam].snapshotStabilizeTime">
<span class="input-group-addon">ms</span>
</div>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('Pause Duration for Snapshot') ?></label>
<div class="input-group">
<input type="number" step="1" min="0" required class="form-control" ng-model="config.webcams[activeCam].snapshotDelay">
<span class="input-group-addon">ms</span>
</div>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('X Position for Snapshot') ?></label>
<div class="input-group">
<input type="number" step="any" required class="form-control" ng-model="config.webcams[activeCam].snapshotX">
<span class="input-group-addon">mm</span>
</div>
</div>
<div class="form-group col-xs-11 col-xs-offset-1">
<label><?php _('Y Position for Snapshot') ?></label>
<div class="input-group">
<input type="number" required step="any" class="form-control" ng-model="config.webcams[activeCam].snapshotY">
<span class="input-group-addon">mm</span>
</div>
</div>
</div>
<div class="row">
<div class="col-xs-12">
<button class="btn btn-primary pull-right" ng-disabled="formWebcam.$invalid" ng-click="saveTimelapseCamera()">
<i class="fa fa-save rs-bigtab"></i> <?php _('Apply') ?></button>
</div>
</div>
</div>
</div>
<div class="alert alert-info margin-top"><?php _('These settings are also used to recompute timelapse videos!') ?></div>
</div>
</div>
</div>
</div>
<div ng-hide="showTimelapseSettings">
<div class="alert alert-info margin-top" type="info" ng-if="activeConfig.webcams.length===0">
<?php _('No Webcams defined!') ?>
</div>
<div ng-if="activeConfig.webcams.length" class="hoverMaster" style="position:relative;text-align:center">
<div id="webcamArea">
<websocket-camera id="webcamimage" fullscreen="webcamFull" img-url="{{webcamUrl}}" rotate="webcamRotate" img-style="max-height:90vh;"></websocket-camera>
<img class="reccam" src="/img/REC.png" ng-show="active.state.webcams[activeCam].rec && active.state.isJobActive" title="<?php _('Capturing') ?>" style="left:95%; position: absolute;width:21px;height:21px;top:5px">
<button uib-tooltip="<?php _('Refresh Webcam Image') ?>" class="btn btn-primary pull-right hoverboxTL hoverSlave" ng-show="webcammode==1" ng-click="refreshWebcamImage()">
<i class="fa fa-refresh"></i></button>
<a uib-tooltip="<?php _('Download Current Image') ?>" class="btn btn-primary pull-right hoverboxDownloadButton hoverSlave" ng-show="webcammode==1" href="{{webcamUrl}}" download="{{active.slug}}">
<i class="fa fa-download"></i></a>
<button uib-tooltip="<?php _('Toggle Fullscreen') ?>" ng-show="supportsFullscreen" class="btn btn-primary btn-sm hoverboxTR hoverSlave" ng-click="toggleFullscreen()">
<i class="fa fa-arrows-alt"></i>
</button>
</div>
</div>
</div>
</div>
</div>
</ng-form>
</div>
