<div class="modal-header">
<button type="button" class="close" ng-click="close()" aria-hidden="true">&times;</button>
<h4 class="modal-title">
{{model.name}}
</h4>
</div>
<div class="modal-body">
<h4><?php _('Per Extruder Values') ?></h4>
<table class="table">
<tr>
<th><?php _('Extr.') ?><br>&nbsp;</th>
<th><?php _('Filament') ?><br>&nbsp;</th>
<th class="hidden-xs"><?php _('Length') ?><br>[mm]</th>
<th><?php _('Volume') ?><br>[cm<sup>3</sup>]</th>
<th><?php _('Weight') ?><br>[g]</th>
<th><?php _('Cost') ?><br>[{{currency}}]</th>
</tr>
<tr ng-repeat="e in plist track by $index">
<td>{{e.extruder}}</td>
<td><select ng-options="f as f.n for f in filaments" ng-model="e.filament" ng-change="updateCalc()"></select></td>
<td class="hidden-xs">{{e.mm | number:0}}</td>
<td>{{e.volume | number:1}}</td>
<td>{{e.weight | number:1}}</td>
<td>{{e.price | number:2}}</td>
</tr>
</table>
<h4><?php _('Total Values') ?></h4>
<div class="list-group condensed">
<a href="javascript:void(0)" class="list-group-item" ng-if="model.printer">
<?php _('Printer') ?>:
<span class="pull-right">{{model.printer}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Printing Time') ?>:
<span class="pull-right">{{model.printTime | dhms}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item" ng-if="model.lastPrintTime > 0">
<?php _('Last Real Printing Time') ?>:
<span class="pull-right">{{model.lastPrintTime | dhms}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Total Price') ?>:
<span class="pull-right">{{total | number:2}} {{currency}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Filament') ?>:
<span class="pull-right">{{model.filamentTotal | number:1}} mm</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Volume') ?>:
<span class="pull-right">{{(model.volumeTotal / 1000) | number:1}} cm<sup>3</sup></span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Weight') ?>:
<span class="pull-right">{{weightTotal | number:1}} g</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Lines') ?>:
<span class="pull-right">{{model.lines}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Layer') ?>:
<span class="pull-right">{{model.layer}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Uploaded') ?>:
<span class="pull-right">{{model.created | date:'short'}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('File Length') ?>:
<span class="pull-right">{{model.length | byte}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Slicer') ?>:
<span class="pull-right">{{model.slicer}}</span>
</a>
<a href="javascript:void(0)" class="list-group-item">
<?php _('Volumetric Extrusion') ?>:
<span class="pull-right">{{model.volumetric | yesno}}</span>
</a>
<h4 class="list-group-item" style="margin-top:0">Notes
<i class="fa fa-edit" ng-click="noteEdit=!noteEdit" style="cursor:pointer"></i></h4>
<p class="list-group-item" ng-bind-html="model.notes | convertReturn | unsafe" ng-if="!noteEdit"></p>
<textarea class="form-control" ng-model="model.notes" ng-if="noteEdit"></textarea>
</div>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-default" ng-click="close()"><?php _("Close") ?></button>
</div>
