<h1 class="page-header"><i class="rs rs-extruder"></i> <?php _('Microscope Wizard') ?></h1>
<ol class="breadcrumb">
<li><a ui-sref="printer.wizards"><?php _('Wizards') ?></a></li>
<li><?php _('Microscope Wizard') ?></li>
</ol>
<div ng-if="active.status.online===1">
<div ng-if="step===1">
<h2><?php _('Step 1: Explanation') ?></h2>
<h3><?php _('How it works') ?></h3>
<p>
<?php _('You use a usb microscope mounted on your bed looking upwards. You move the extruder nozzle over the microscope so that you can see the opening sharp and position it to be in the center of the cross. You acknowledge the position and then switch to the next extruder. Firmware will probably move it but not 100%.You justify it again and then we can calculate the error. Depending on your firmware the error then can be corrected automatically or you use the knowledge to fix it in firmware yourself.') ?>
</p>
<h3><?php _('Preparations') ?></h3>
<ul>
<li><?php _('Clean both nozzles so that you can clearly see where the nozzle hole is.') ?></li>
<li>
<?php _('Make sure you have homed your printer and that the microscope does not move. Fix it with some tape. If it moves your data gets wrong, if you do not home you might not be able to after fixing the microscope without hitting it.') ?>
</li>
<li>
<?php _('Make sure you have configured the usb microscope in in printer configuration as webcam. We support multiple webcams or if you already have a webcam you can plug in this one often and it still works. Depends on computer and webcam provider.') ?>
</li>
</ul>
<div class="margin-top btn btn-primary" ng-click="step2()"><?php _('Start Calibration') ?> <i class="fa fa-chevron-right"></i>
</div>
</div>
<div ng-if="step>1">
<div class="row">
<div class="col-sm-12 col-md-8">
<div class="clickable" style="position: relative;width:100%;margin: 0 auto">
<img ng-src="{{webcamUrl}}" id="webcamimage" style="border:1px solid #000;width:100%;" ng-show="update.free && (showWebcam)" ng-click="toggleWebcam()">
<div style="background-color:red;height:1px;position:absolute;left:0; right:0;top:50%"></div>
<div style="background-color:red;width:1px;position:absolute;left:50%; bottom:0;top:0"></div>
</div>
</div>
<div class="col-sm-12 col-md-4" ng-if="step===2">
<h2><?php _('Step') ?> 2</h2>
<p><?php _('Position reference extruder centered over the cross.') ?></p>
<div class="btn btn-primary" ng-click="step3()"><?php _('Centered') ?> <i class="fa fa-chevron-right"></i></div>
</div>
<div class="col-sm-12 col-md-4" ng-if="step===3">
<h2><?php _('Step') ?> 3</h2>
<p><?php _('Position extruder for update centered over the cross.') ?></p>
<div class="btn btn-primary" ng-click="step4()"><?php _('Centered') ?> <i class="fa fa-chevron-right"></i></div>
</div>
<div class="col-sm-12 col-md-4" ng-if="step===4">
<h2><?php _('Step') ?> 4</h2>
<p><?php _('Error Offset X') ?>: {{diffx | number:2}} mm<span ng-if="errorStepsKnown"> = {{errorXSteps}} <?php _('steps') ?></span><br>
<?php _('Error Offset Y') ?>: {{diffy | number:2}} mm<span ng-if="errorStepsKnown"> = {{errorYSteps}} <?php _('steps') ?></span><br>
<?php _('Error Offset Z') ?>: {{diffz | number:2}} mm<span ng-if="errorStepsKnown"> = {{errorZSteps}} <?php _('steps') ?></span>
</p>
<div class="btn btn-primary" ng-click="step3()"><?php _('Next extruder') ?> <i class="fa fa-chevron-right"></i></div>
<div class="btn btn-primary" ng-click="step2()"><?php _('Restart') ?> <i class="fa fa-chevron-right"></i></div>
</div>
</div>
<div ng-if="step<4" class="margin-top">
<div class="row">
<div class="col-xs-12 col-sm-6">
<div class="panel panel-default">
<div class="panel-heading">
<h3 class="panel-title"><i class="rs rs-temperature"></i> <?php _('Temperatures') ?></h3>
</div>
<div class="panel-body">
<table style="width:100%;margin-bottom:-10px" class="form-inline">
<tr ng-repeat="e in active.state.extruder track by $index">
<td style="padding-bottom:10px">
<input type="radio" ng-value="$index" ng-model="active.state.activeExtruder" ng-disabled="!idle || !user.printPermission" ng-change="RSPrinter.selectExtruder($index)">&nbsp;
<i class="rs rs-extruder rs-bigtab"></i> {{RSPrinter.extruderName($index)}}
</td>
<td style="text-align:right;padding-bottom:10px">
<span rs-dropdown dropdown-append-to-body><a href rs-dropdown-toggle>
{{e | tempFull:1}} <i class="fa fa-caret-down" ng-if="user.printPermission"></i>
</a>
<ul rs-dropdown-menu class="dropdown-menu-right" ng-show="user.printPermission">
<li ng-click="$event.stopPropagation()">
<knob min="0" max="{{activeConfig.extruders[$index].maxTemp}}" value="active.state.extruder[$index].tempSet" changed="RSPrinter.setExtruderTemperature($index,value)"></knob>
</li>
<li class="divider"></li>
<li>
<a href="javascript:void(0)" ng-click="RSPrinter.setExtruderTemperature($index,0)"><?php _('Off') ?></a>
</li>
<li class="divider" ng-show="activeConfig.extruders[$index].temperatures.length>0"></li>
<li ng-repeat="t in activeConfig.extruders[$index].temperatures">
<a href="javascript:void(0)" ng-click="RSPrinter.setExtruderTemperature($parent.$index,t.temp)">{{t.name}}</a>
</li>
</ul>
</span>
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="col-xs-12 col-sm-6">
<div class="panel panel-default">
<div class="panel-heading">
<h3 class="panel-title"><i class="fa fa-arrows"></i> <?php _('Move') ?></h3>
</div>
<div class="panel-body">
<div class="row">
<div class="col-xs-4">
X: {{moveToXPos | number:2}}
</div>
<div class="col-xs-4">
Y: {{moveToYPos | number:2}}
</div>
<div class="col-xs-4">
Z: {{moveToZPos | number:2}}
</div>
</div>
<div class="margin-top">
<div style="text-align: center;float:left;margin-right:30px">
<div>
<button class="btn btn-default" ng-click="RSPrinter.yMoveRel(moveDistance)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-click="RSPrinter.xMoveRel(-moveDistance)">
<i class="fa fa-arrow-left rs-big"></i></button>
<span style="display: inline-block;width:60px">X/Y</span>
<button class="btn btn-default" ng-click="RSPrinter.xMoveRel(moveDistance)">
<i class="fa fa-arrow-right rs-big"></i></button>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-click="RSPrinter.yMoveRel(-moveDistance)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
</div>
<div style="text-align: center;float:left">
<div>
<button class="btn btn-default" ng-click="RSPrinter.zMoveRel(moveDistance)">
<i class="fa fa-arrow-up rs-big"></i></button>
</div>
<div class="margin-top">
<span style="display: inline-block;width: 60px;height: 34px;vertical-align: middle;line-height: 34px;">Z</span>
</div>
<div class="margin-top">
<button class="btn btn-default" ng-click="RSPrinter.zMoveRel(-moveDistance)">
<i class="fa fa-arrow-down rs-big"></i></button>
</div>
</div>
</div>
<div class="clearfix"></div>
<div class="btn-group margin-top btn-group-justified">
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="0.01">0.01</label>
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="0.1">0.1</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="1">1</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="10">10</label>
<label class="btn btn-default" ng-model="moveDistance" uib-btn-radio="50">50</label>
<label class="btn btn-default nopadrl" ng-model="moveDistance" uib-btn-radio="100">100</label>
</div>
<div class="margin-top">
<div class="btn btn-default" ng-click="home()"><i class="fa fa-home"></i> <?php _('Home') ?></div>
</div>
</div>
</div>
</div>
</div>
</div>
<div ng-if="step===4" class="margin-top">
<div ng-if="autoUpdate" class="panel panel-success margin-top">
<div class="panel-heading">
<p>
<?php _('For your firmware we can enter the correction values automatically!') ?>
</p>
</div>
<div class="panel-footer">
<div class="btn btn-success" ng-click="setEntryAutomatic()"><?php _('Store Correction into Printer Firmware') ?></div>
</div>
</div>
<div ng-if="RSPrinter.eepromData.length>0">
<h3><i class="rs rs-eeprom-settings"></i> <?php _('EEPROM Settings') ?></h3>
<div class="row">
<div class="col-xs-12">
<button type="button" class="btn btn-primary pull-right" ng-disabled="hasErrors" ng-click="RSPrinter.saveEeprom()">
<i class="fa fa-save rs-bigtab"></i> <?php _('Save') ?></button>
</div>
</div>
<div class="modal-body" style="overflow:auto;">
<form class="form-horizontal units" name="eepromForm">
<div class="row">
<div class="form-group col-lg-6 col-xs-12" ng-repeat="e in RSPrinter.eepromData track by $index">
<label class="col-sm-6 col-lg-7 col-xs-12 control-label">{{RSPrinter.eepromDescription(e.text)}}</label>
<div class="col-lg-5 col-sm-6 col-xs-12">
<div class="input-group" ng-class="[e.class]">
<input type="text" class="form-control" ng-model="e.value" ng-change="RSPrinter.updateEepromErrors()">
<div class="input-group-addon" ng-bind="RSPrinter.eepromUnits(e.text)"></div>
</div>
</div>
</div>
</div>
</form>
</div>
<div class="row">
<div class="col-xs-12">
<button type="button" class="btn btn-primary pull-right" ng-disabled="hasErrors" ng-click="RSPrinter.saveEeprom()">
<i class="fa fa-save rs-bigtab"></i> <?php _('Save') ?></button>
</div>
</div>
</div>
</div>
</div>
</div>
